package com.hw.ems.base.mapper;

import com.hw.ems.base.domain.BaseLineLoss;
import com.hw.ems.base.domain.BaseSubentryType;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * 分项类型管理Mapper接口
 *
 * @author YinQ
 * @date 2023-05-06
 */
@Mapper
public interface BaseSubentryTypeMapper
{
    /**
     * 查询分项类型管理
     *
     * @param objid 分项类型管理主键
     * @return 分项类型管理
     */
    public BaseSubentryType selectBaseSubentryTypeByObjid(Long objid);

    /**
     * 查询分项类型管理列表
     *
     * @param baseSubentryType 分项类型管理
     * @return 分项类型管理集合
     */
    public List<BaseSubentryType> selectBaseSubentryTypeList(BaseSubentryType baseSubentryType);

    /**
     * 新增分项类型管理
     *
     * @param baseSubentryType 分项类型管理
     * @return 结果
     */
    public int insertBaseSubentryType(BaseSubentryType baseSubentryType);

    /**
     * 修改分项类型管理
     *
     * @param baseSubentryType 分项类型管理
     * @return 结果
     */
    public int updateBaseSubentryType(BaseSubentryType baseSubentryType);

    /**
     * 删除分项类型管理
     *
     * @param objid 分项类型管理主键
     * @return 结果
     */
    public int deleteBaseSubentryTypeByObjid(Long objid);

    /**
     * 批量删除分项类型管理
     *
     * @param objids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseSubentryTypeByObjids(Long[] objids);

    void insertBaseLineLoss(BaseLineLoss baseLineLoss);
}
